Post Package Data For Delivery Note
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
[
{
"trackingID": "<string>",
"shippedDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
]
'import requests
url = "https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages"
payload = [
{
"trackingID": "<string>",
"shippedDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
]
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
trackingID: '<string>',
shippedDate: '2023-11-07T05:31:56Z',
comment: '<string>'
}
])
};
fetch('https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"packageDate": "2023-11-07T05:31:56Z",
"trackingID": "<string>",
"weights": 123,
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippedDate": "2023-11-07T05:31:56Z",
"trackingUrl": "<string>",
"comment": "<string>"
}
]{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Delivery Note
Post Package Data For Delivery Note
Transmit Package Data
POST
/
v2
/
delivery-notes
/
{deliveryNoteId}
/
packages
Post Package Data For Delivery Note
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the delivery note.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
application/json
The packages to create.
Response
All packages that have been created for the delivery note.
The id of the package.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The date when the package was created.
The tracking Id of the package.
The weight of the package.
The shipping method of the package.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The date when the package was shipped.
The tracking url of the package.
The comment of the package.
Was this page helpful?